%define name alex_guestbook
%define version 3.31
%define release %mkrel 6

%define __guestbookroot /var/www/html/alex_guestbook

Summary:        User-friendly, skinnable, PHP-based guestbook
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        %{name}-%{version}.tar.bz2
License:        GPL
URL:            http://www.alexphpteam.com/a_guest.php
Group:          Networking/WWW
Requires:       webserver
Requires:       mod_php
Requires:       php-mysql
BuildArch:      noarch
Prefix:         %{__guestbookroot}
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
User-friendly, skinnable, PHP-based guestbook

%prep

%setup -q

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}/%{__guestbookroot}
cp -ar *.php %{buildroot}/%{__guestbookroot}/
cp -ar admin config db html images include languages templates %{buildroot}/%{__guestbookroot}/

#%post
#chown apache.apache %{__guestbookroot}/config

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(-,apache,apache) %dir %{__guestbookroot}/config
%doc documentation changelog_fr.txt changelog.txt copyright-GNU.txt installation.txt readme.txt
%{__guestbookroot}



%changelog
* Fri Oct 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.31-6mdv2010.0
+ Revision: 452526
- fix dependencies

* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.31-5mdv2010.0
+ Revision: 423943
- rebuild

* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.31-4mdv2010.0
+ Revision: 423882
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.31-3mdv2009.0
+ Revision: 226146
- rebuild
- fix spacing at top of description

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 3.31-2mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import alex_guestbook


* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 3.31-2mdv2007.0
- rebuild

* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 3.31-1mdk
- 3.31

* Wed Nov 17 2004 Florent Chantret <florent@chantret.com> 3.2-2mdk
- Change the way the chown apache on the config dir is done 

* Sat Oct 30 2004 Florent Chantret <florent@chantret.com> 3.2-1mdk
- First RPM distribution.
